%define sourcedir stable/%{version}/distribution/tar/generic/source
%define is_release 1
%define beta %{nil}
%define rel 5
%define DATE 20020326
Version: 3.0.0

Name: kdegraphics
%if %{is_release}
%if "%{beta}" != ""
Release: 0.%{beta}.%{rel}
Source: ftp://ftp.kde.org/pub/kde/%{sourcedir}/%{name}-%{version}-%{beta}.tar.b
%else
Release: %{rel}
Source: ftp://ftp.kde.org/pub/kde/%{sourcedir}/%{name}-%{version}.tar.bz2
%endif
%else
Release: 0.cvs%{DATE}.%{rel}
Source: ftp://ftp.kde.org/pub/kde/%{sourcedir}/%{name}-%{DATE}.tar.bz2
%endif
Source1: cvs://anonymous@cvs.gphoto.sourceforge.net/cvsroot/gphoto/libgpio-20011225.tar.bz2
Source900: gccver.c
Icon: kde-icon.xpm
Summary: K Desktop Environment - Graphics Applications
Epoch: 7
Group: Applications/Multimedia
BuildRoot: %{_tmppath}/%{name}-buildroot
License: GPL
%ifnarch s390 s390x
BuildRequires: sane-backends-devel >= 1.0.3-10
%endif
BuildRequires: kdelibs-devel >= 3.0.0-0 zlib-devel libjpeg-devel libpng-devel libtiff-devel imlib-devel gphoto2-devel

%description
Graphics applications for the K Desktop Environment.

Includes: kdvi (displays TeX .dvi files); kfax (displays fax
files); kfract (a fractal generator); kghostview (displays postscript files);
kiconedit (icon editor); kpaint (a simple drawing program); ksnapshot (screen
capture utility); kview (image viewer for GIF, JPEG, TIFF, etc.).

%package -n kamera
Summary: Digital camera support for KDE
Group: Applications/Multimedia
Requires: gphoto2

%description -n kamera
Kamera adds support for digital cameras to KDE.
After installing kamera, you can access your digital camera just like
a filesystem from KDE applications.

%package -n kcoloredit
Summary: KDE palette editor and color chooser
Group: Applications/Multimedia
Obsoletes: kdegraphics

%description -n kcoloredit
KDE palette editor and color chooser.
kcoloredit can be used by other programs (and scripts) to pick a color or
edit a palette.

%package -n kdvi
Summary: KDE DVI (TeX output) file viewer
Group: Applications/Publishing
Obsoletes: kdegraphics

%description -n kdvi
A DVI (TeX output) file viewer for KDE.

%package -n kfax
Summary: KDE Fax viewer
Group: Applications/Communications
Obsoletes: kdegraphics

%description -n kfax
A KDE viewer for incoming faxes

%package -n kfile-pdf
Summary: KFile module for reading PDF file information
Group: Applications/File

%description -n kfile-pdf
The PDF KFile plugin allows all applications using KFile (e.g. Konqueror) to
view information on PDF files.

%package -n kfile-png
Summary: KFile module for reading PNG file information
Group: Applications/File

%description -n kfile-png
The PNG KFile plugin allows all applications using KFile (e.g. Konqueror) to
view information on PNG files.

%package -n kfract
Summary: KDE Fractal Generator
Group: Applications/Engineering
Obsoletes: kdegraphics

%description -n kfract
A Fractal generator for KDE

%package -n kghostview
Summary: PostScript viewer for KDE
Group: Applications/Publishing
Obsoletes: kdegraphics

%description -n kghostview
A PostScript and PDF file viewer for KDE.
In addition to being a standalone viewer application, kghostview acts as
a Konqueror plugin.

%package -n kiconedit
Summary: An icon editor for creating KDE icons
Group: Applications/Multimedia
Obsoletes: kdegraphics

%description -n kiconedit
An icon editor for creating KDE icons

%package -n kooka
Summary: KDE scanner application
Group: Applications/Multimedia
Requires: libkscan = %{version}-%{release}, sane-backends

%description -n kooka
Kooka is a KDE application for previewing, cutting and receiving images
from a scanner.

%package -n kpaint
Summary: A simple paint program for KDE
Group: Applications/Multimedia
Obsoletes: kdegraphics

%description -n kpaint
A simple bitmap paint program for KDE.

%package -n kruler
Summary: A screen ruler and color measurement tool
Group: Applications/Multimedia
Obsoletes: kdegraphics

%description -n kruler
A screen ruler and color measurement tool

%package -n ksnapshot
Summary: A KDE applet for taking snapshots of the desktop
Group: Applications/Multimedia
Obsoletes: kdegraphics

%description -n ksnapshot
A KDE applet for taking screenshots.
ksnapshot allows both capturing the whole desktop and capturing just
the active window.

%package -n kuickshow
Summary: Quick picture viewer for KDE
Group: Applications/Multimedia
Obsoletes: kdegraphics

%description -n kuickshow
Kuickshow is a picture viewer for KDE. It displays the directory structure,
displaying images as thumbnails.
Clicking on an image shows the image in its normal size.

%package -n kview
Summary: KDE Image Viewer
Group: Applications/Multimedia
Obsoletes: kdegraphics

%description -n kview
KView is a KDE image viewer, supporting a wide range of graphics file formats.

%package -n kviewshell
Summary: Plugin integration for KView
Group: Applications/Multimedia
Requires: kview
Obsoletes: kdegraphics

%description -n kviewshell
KViewShell allows the kview image viewer to be embedded into other KDE
applications.

%package -n kviewshell-devel
Summary: Development files for kviewshell
Group: Development/Libraries
Requires: kviewshell
Obsoletes: kdegraphics-devel

%description -n kviewshell-devel
Development files for KViewShell.
Install kdegraphics-kviewshell-devel if you wish to develop or compile
applications using kviewshell.

%package -n libkscan
Summary: KDE library for scanner support.
Group: Applications/Multimedia
Requires: sane-backends
Obsoletes: kdegraphics

%description -n libkscan
KDE library for scanner support.

%package -n libkscan-devel
Summary: Development files for libkscan
Group: Applications/Multimedia
Requires: libkscan = %{version}-%{release}
Obsoletes: kdegraphics-devel

%description -n libkscan-devel
Development files for libkscan - install kdegraphics-libkscan-devel if
you wish to develop or compile applications using libkscan.

%prep
rm -rf $RPM_BUILD_ROOT

%if %{is_release}
%ifnarch alpha
%setup -q -a 1
%else
%setup -q
%endif
%else
%ifnarch alpha
%setup -q -n %{name} -a 1
%else
%setup -q -n %{name}
%endif
%endif

# Workaround for legacy auto* tools
[ -x /usr/bin/autoconf-2.5? ] && ln -s /usr/bin/autoconf-2.5? autoconf
[ -x /usr/bin/autoheader-2.5? ] && ln -s /usr/bin/autoheader-2.5? autoheader
[ -x /usr/bin/aclocal-1.5 ] && ln -s /usr/bin/aclocal-1.5 aclocal
[ -x /usr/bin/automake-1.5 ] && ln -s /usr/bin/automake-1.5 automake
export PATH=`pwd`:$PATH
# End workaround

test -f Makefile.cvs && make -f Makefile.cvs

%build
%ifnarch alpha
# Build libgpio first, we want kamera...
cd libgpio
./autogen.sh
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" \
./configure --prefix=%{_prefix}
make
make install DESTDIR=$RPM_BUILD_ROOT
cd ..
%endif

export KDEDIR=%{_prefix}
unset QTDIR || : ; . /etc/profile.d/qt.sh

CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS -fno-check-new" \
./configure --prefix=%{_prefix} --enable-final --includedir=/usr/include/kde \
 --with-xinerama \
%ifnarch alpha
 --with-kamera --with-gpio-includes=$RPM_BUILD_ROOT%{_includedir}/gpio --with-gpio-libraries=$RPM_BUILD_ROOT%{_libdir}
%else
 --without-kamera
%endif
gcc -o gccver %{SOURCE900}
if [ "0`./gccver`" -lt 3001 ]; then
        find . -name Makefile |xargs perl -pi -e "s,^CXXLD\s*=.*,\$& -release gcc`./gccver -v`,g"
fi

make %{?smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT

cd $RPM_BUILD_ROOT/usr/share/doc/HTML/en
for i in *; do
	if [ -d $i -a -L $i/common ]; then
		rm -f $i/common
		ln -sf ../common $i
	fi
done

%clean
# rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{name} $RPM_BUILD_DIR/%{name}

%post -n kviewshell -p /sbin/ldconfig
%postun -n kviewshell -p /sbin/ldconfig

%post -n libkscan -p /sbin/ldconfig
%postun -n libkscan -p /sbin/ldconfig

%ifnarch alpha
%post -n kamera -p /sbin/ldconfig
%postun -n kamera -p /sbin/ldconfig

%files -n kamera
%defattr(-,root,root)
%{_libdir}/libgpio.so*
%dir %{_libdir}/gpio
%{_libdir}/gpio/lib*.so*
%{_libdir}/gpioConf.sh
%{_libdir}/kde3/*kamera*
%{_datadir}/icons/*/*/*/camera*
%{_datadir}/services/kamera.protocol
%{_datadir}/applnk/Settings/Peripherals/kamera.desktop
%endif

%files -n kcoloredit
%defattr(-,root,root)
%{_libdir}/kcolorchooser*
%{_bindir}/kcoloredit
%{_bindir}/kcolorchooser
%{_datadir}/icons/*/*/*/kcoloredit.png
%{_datadir}/applnk/Graphics/kcoloredit.desktop
%{_datadir}/applnk/Graphics/kcolorchooser.desktop
%doc %{_docdir}/HTML/en/kcoloredit

%files -n kdvi
%defattr(-,root,root)
%{_bindir}/kdvi
%{_libdir}/libkdvi*
%{_datadir}/applnk/Graphics/kdvi.desktop
%{_datadir}/apps/kdvi
%{_datadir}/icons/*/*/*/kdvi.png
%doc %{_docdir}/HTML/en/kdvi

%files -n kfax
%defattr(-,root,root)
%{_bindir}/kfax
%{_libdir}/libkfax*.*
%{_datadir}/icons/*/*/*/kfax.png
%{_datadir}/applnk/Graphics/kfax.desktop
%{_datadir}/apps/kfax

%files -n kfile-pdf
%defattr(-,root,root)
%{_libdir}/kde3/kfile_pdf*.*
%{_libdir}/kde3/kfile_ps*.*
%{_datadir}/services/kfile_pdf*.*
%{_datadir}/services/kfile_ps*.*

%files -n kfile-png
%defattr(-,root,root)
%{_libdir}/kde3/kfile_png*.*
%{_datadir}/services/kfile_png*.*

%files -n kfract
%defattr(-,root,root)
%{_bindir}/kfract
%{_datadir}/icons/*/*/*/kfract.png
%{_datadir}/applnk/Graphics/kfract.desktop
%{_datadir}/apps/kfract
%doc %{_docdir}/HTML/en/kfract

%files -n kghostview
%defattr(-,root,root)
%{_datadir}/apps/kghostview
%{_datadir}/icons/*/*/*/kghostview.png
%{_datadir}/applnk/Graphics/kghostview.desktop
%{_libdir}/libkghostview*.*
%{_bindir}/kghostview
%doc %{_docdir}/HTML/en/kghostview

%files -n kiconedit
%defattr(-,root,root)
%{_datadir}/apps/kiconedit
%{_datadir}/icons/*/*/*/kiconedit.png
%{_datadir}/applnk/Graphics/kiconedit.desktop
%{_bindir}/kiconedit
%doc %{_docdir}/HTML/en/kiconedit

%ifnarch s390 s390x
%files -n kooka
%defattr(-,root,root)
%{_datadir}/apps/kooka
%{_datadir}/applnk/Graphics/kooka.desktop
%{_bindir}/kooka
%doc %{_docdir}/HTML/en/kooka
%endif

%files -n kpaint
%defattr(-,root,root)
%{_datadir}/apps/kpaint
%{_datadir}/icons/*/*/*/kpaint.png
%{_datadir}/applnk/Graphics/kpaint.desktop
%{_bindir}/kpaint
%doc %{_docdir}/HTML/en/kpaint

%files -n kruler
%defattr(-,root,root)
%{_datadir}/icons/*/*/*/kruler.png
%{_datadir}/apps/kruler
%{_datadir}/applnk/Graphics/kruler.desktop
%{_bindir}/kruler
%doc %{_docdir}/HTML/en/kruler

%files -n ksnapshot
%defattr(-,root,root)
%{_bindir}/ksnapshot
%{_datadir}/icons/*/*/*/ksnapshot.png
%{_datadir}/applnk/Graphics/ksnapshot.desktop
%doc %{_docdir}/HTML/en/ksnapshot

%files -n kuickshow
%defattr(-,root,root)
%{_libdir}/kuickshow*.*
%{_bindir}/kuickshow
%{_datadir}/icons/*/*/*/kuickshow.png
%{_datadir}/applnk/Graphics/kuickshow.desktop
%{_datadir}/apps/kuickshow
%doc %{_docdir}/HTML/en/kuickshow

%files -n kview
%defattr(-,root,root)
%{_datadir}/apps/kview
%{_datadir}/icons/*/*/*/kview.png
%{_datadir}/applnk/Graphics/kview.desktop
%{_libdir}/libkviewpart*
%{_libdir}/kview*.*
%{_bindir}/kview
%doc %{_docdir}/HTML/en/kview

%files -n kviewshell
%defattr(-,root,root)
%{_libdir}/libkviewerpart*
%{_libdir}/libkmultipage*
%{_libdir}/libkpagetest*
%{_bindir}/kviewshell
%{_datadir}/apps/kviewshell
%{_datadir}/apps/kviewerpart
%{_datadir}/icons/*/*/*/kviewshell.png

%files -n kviewshell-devel
%defattr(-,root,root)
%{_includedir}/kde/kmultipageInterface.h

%ifnarch s390 s390x
%files -n libkscan
%defattr(-,root,root)
%{_datadir}/icons/*/*/*/palette_color.png
%{_datadir}/icons/*/*/*/palette_gray.png
%{_datadir}/icons/*/*/*/palette_halftone.png
%{_datadir}/icons/*/*/*/palette_lineart.png
%{_datadir}/services/scanservice.desktop
%{_libdir}/libkscan*.*

%files -n libkscan-devel
%defattr(-,root,root)
%{_includedir}/kde/kscan*
%{_includedir}/kde/gammadialog.h
%{_includedir}/kde/dispgamma.h
%{_includedir}/kde/scan*
%{_includedir}/kde/massscan*
%{_includedir}/kde/devselector.h
%{_includedir}/kde/img_canvas.h
%{_includedir}/kde/previewer.h
%{_includedir}/kde/imgscaledialog.h
%{_includedir}/kde/sizeindicator.h
%{_includedir}/kde/kgammatable.h
%endif

%changelog
* Tue Apr 16 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-5
- rename libraries

* Mon Apr  8 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-4
- Fix libkviewpart.* duplication (kview and kviewshell, #62749)
- Shut up rpmlint

* Fri Mar 29 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-3
- Obsolete the old monolithic package
- Fix build with gcc 3.1

* Thu Mar 28 2002 Than Ngo <than@redhat.com> 3.0.0-2
- fix deps problem

* Wed Mar 27 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-1
- 3.0.0 final

* Thu Mar 21 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20020321.1
- Add docs for kooka and kuickshow and kfile PostScript plugin

* Wed Mar  6 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20020306.1
- Update
- Rename subpackages
- Don't build kamera on alpha

* Wed Dec 26 2001 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20011226.1
- Update
- Reorganize package

* Thu Jul 26 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010726.1
- The -devel package has kscan-related files -n only. Since kscan isn't built
  on s390/s390x, don't build the devel package there.

* Tue Jul 24 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010724.1
- Add more build dependencies (#48970)
- Remove ia64 workarounds, no longer needed
- Update

* Mon Jul 23 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010723.1
- Restore -devel package, got lost during the update
- Fix build on s390/s390x
- Update

* Sun Jul 22 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010722.2
- Make symlinks relative
- Update

* Wed Feb 21 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.1-respin

* Tue Feb 20 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.1

* Fri Feb 16 2001 Than Ngo <than@redhat.com>
- fix to build against glibc

* Tue Feb  6 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Get rid of libkdefakes.so.0 dependency

* Mon Jan 22 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Update

* Mon Jan  1 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Update

* Wed Dec 20 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Update
- Stop excluding ia64

* Wed Nov 15 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Update to HEAD

* Fri Nov  3 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Update to KDE_2_0_BRANCH

* Mon Oct 23 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.0 final

* Thu Aug 24 2000 Than Ngo <than@redhat.com>
- update to kdegraphics-1.93

* Sun Aug 20 2000 Than Ngo <than@redhat.com>
- add missing kdegraphic2 package

* Mon Aug  7 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new version

* Tue Jul 25 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- work around compiler bug by disabling kcoloredit for now, FIXME

* Fri Jul 21 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- SMPify build

* Sun Jul 16 2000 Than Ngo <than@redhat.de>
- use gcc 2.96
- new snapshot
- fix docdir

* Fri Jun 23 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Add Epoch - for some reason, rpm thinks 1.1.2 > 1.92.20000623.

* Tue Jun 20 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- ExcludeArch ia64 for now

* Sat Mar 18 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- move it to /usr, where it belongs

* Sun Oct 24 1999 Bernhard Rosenkraenzer <bero@redhat.de>
- Fix compilation

* Fri Oct 22 1999 Bernhard Rosenkraenzer <bero@redhat.de>
- 2.0 CVS

* Fri Sep 24 1999 Preston Brown <pbrown@redhat.com>
- mark doc files as such

* Wed Sep 08 1999 Preston Brown <pbrown@redhat.com>
- upgraded to 1.1.2 release

* Fri Jun 11 1999 Preston Brown <pbrown@redhat.com>
- snapshot, includes kde 1.1.1 + fixes

* Mon Apr 19 1999 Preston Brown <pbrown@redhat.com>
- last snapshot before release

* Mon Apr 12 1999 Preston Brown <pbrown@redhat.com>
- latest stable snapshot

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Mon Feb 08 1999 Preston Brown <pbrown@redhat.com>
- upgraded to KDE 1.1 final.

* Sat Feb 06 1999 Preston Brown <pbrown@redhat.com>
- updates to new libstdc++ and rpm standards.

* Wed Jan 06 1999 Preston Brown <pbrown@redhat.com>
- re-merged in updates from Duncan Haldane

